package document

#######################################################################
# macros set from within the server
#######################################################################

_classificationlinks_ {}
_imagethispage_ {}
_httpprevarrow_ {}
_httpnextarrow_ {}
_pagetitle_ {}

#######################################################################
# page content
#######################################################################

_content_ {
<center>
_navigationbar_
<p>
_classificationlinks_
</center>
}


#######################################################################
# javascript macros
#
# there should be one of these for each flashy javascript button
# that may appear within a document page
#######################################################################

# javaextras allows specific collections to include extra java macros
# without having to override their document action
_javaextras_ {}

_javadetach_ {
	detach\_on = new Image(_widthedtchx_, _heightedtchx_); 
	detach\_on.src = "_httpiconedtchon_";
	detach\_off = new Image(_widthedtchx_, _heightedtchx_); 
	detach\_off.src = "_httpiconedtchof_";
}

_javaexpandcontents_ {
	expcon\_on = new Image(_widtheexpcx_, _heighteexpcx_);
	expcon\_on.src = "_httpiconeexpcon_";
	expcon\_off = new Image(_widtheexpcx_, _heighteexpcx_);
	expcon\_off.src = "_httpiconeexpcof_";
}

_javacontractcontents_ {
	concon\_on = new Image(_widtheconcx_, _heighteconcx_);
	concon\_on.src = "_httpiconeconcon_";
	concon\_off = new Image(_widtheconcx_, _heighteconcx_);
	concon\_off.src = "_httpiconeconcof_";
}

_javaexpandtext_ {
	alltext\_on = new Image(_widthealltx_, _heightealltx_);
	alltext\_on.src = "_httpiconeallton_";
	alltext\_off = new Image(_widthealltx_, _heightealltx_);
	alltext\_off.src = "_httpiconealltof_";
}

_javacontracttext_ {
	thissec\_on = new Image(_widthetsecx_, _heightetsecx_);
	thissec\_on.src = "_httpiconetsecon_";
	thissec\_off = new Image(_widthetsecx_, _heightetsecx_);
	thissec\_off.src = "_httpiconetsecof_";
}

_javahighlighting_ {
	hl\_on = new Image(_widthehlx_, _heightehlx_);
	hl\_on.src = "_httpiconehlon_";
	hl\_off = new Image(_widthehlx_, _heightehlx_);
	hl\_off.src = "_httpiconehlof_";
}

_javanohighlighting_ {
	nhl\_on = new Image(_widthenhlx_, _heightenhlx_);
	nhl\_on.src = "_httpiconenhlon_";
	nhl\_off = new Image(_widthenhlx_, _heightenhlx_);
	nhl\_off.src = "_httpiconenhlof_";
}

_javacontinue_ {
	cont\_on = new Image(_widthcontx_, _heightcontx_);
	cont\_on.src = "_httpiconconton_";
	cont\_off = new Image(_widthcontx_, _heightcontx_);
	cont\_off.src = "_httpiconcontoff_";
}

#######################################################################
# navigation arrows
#
#######################################################################

_navarrows_ {<center>
<table width=_pagewidth_ cellpadding=0 cellspacing=0 border=0>
<tr><td align=left valign=top>
_prevarrow_
</td><td align=right valign=top>
_nextarrow_
</td></tr></table>
</center>
}

_prevarrow_ {_If_(_httpprevarrow_,<a href="_httpprevarrow_">_iconprev_</a>)}
_nextarrow_ {_If_(_httpnextarrow_,<a href="_httpnextarrow_">_iconnext_</a>)}

_navarrows_ [v=1] {<p>
_prevarrow_<br>
_nextarrow_
}

#######################################################################
# the goto form
#######################################################################

_gotoform_ {
<form name="GotoForm" method="get" action="_gwcgi_">
<input type=hidden name="e" value="_decodedcompressedoptions_">
<input type=hidden name="d" value="_cgiargd_">
<input type=hidden name="cl" value="_cgiargcl_">
<input type="text" name="gp" size="3" maxlength="4">
<input type="submit" value="_textgoto_">
</form>
}

_textnumpages_ {&nbsp;<i>(_1_ _pages_)</i>}
_parentarrow_ {}


#######################################################################
# icons
#######################################################################

# title images - there should be one of these for each classification
# supported by this receptionist

_iconTitlepage_ {<img src="_httpiconhtitle_" width=_widthhtitle_
height=_heighthtitle_}
_iconTitlepage_ [v=1] {<h2>_texticonhtitle_</h2>}

_iconListpage_ {<img src="_httpiconhlist_" width=_widthhlist_
height=_heighthlist_}
_iconListpage_ [v=1] {<h2>_texticonhlist_</h2>}

_iconCreatorpage_ {<img src="_httpiconhauth_" width=_widthhauth_
height=_heighthauth_}
_iconCreatorpage_ [v=1] {<h2>_texticonhauth_</h2>}

_iconSubjectpage_ {<img src="_httpiconhsubj_" width=_widthhsubj_
height=_heighthsubj_}
_iconSubjectpage_ [v=1] {<h2>_texticonhsubj_</h2>}

_iconTopage_ {<img src="_httpiconhto_" width=_widthhto_
height=_heighthto_}
_iconTopage_ [v=1] {<h2>_texticonhto_</h2>}

_iconFrompage_ {<img src="_httpiconhfrom_" width=_widthhfrom_
height=_heighthfrom_}
_iconFrompage_ [v=1] {<h2>_texticonhfrom_</h2>}

_iconSeriespage_ {<img src="_httpiconhser_" width=_widthhser_
height=_heighthser_}
_iconSeriespage_ [v=1] {<h2>_texticonhser_</h2>}

_iconDatepage_ {<img src="_httpiconhdate_" width=_widthhdate_
height=_heighthdate_}
_iconDatepage_ [v=1] {<h2>_texticonhdate_</h2>}

_iconHowtopage_ {<img src="_httpiconhhow_" width=_widthhhow_
height=_heighthhow_}
_iconHowtopage_ [v=1] {<h2>_texticonhhow_</h2>}

_iconTopicpage_ {<img src="_httpiconhtopic_" width=_widthhtopic_
height=_heighthtopic_}
_iconTopicpage_ [v=1] {<h2>_texticonhtopic_</h2>}

_iconOrganizationpage_ {<img src="_httpiconhorg_" width=_widthhorg_
height=_heighthorg_}
_iconOrganizationpage_ [v=1] {<h2>_texticonhorg_</h2>}

_iconBrowsepage_ {<img src="_httpiconhbrwse_" width=_widthhbrwse_
height=_heighthbrwse_}
_iconBrowsepage_ [v=1] {<h2>_texticonhbrwse_</h2>}

_iconPeoplepage_ {<img src="_httpiconhpeople_" width=_widthhpeople_
height=_heighthpeople_}
_iconPeoplepage_ [v=1] {<h2>_texticonhpeople_</h2>}


_iconsmalltext_ {<img src="_httpiconsmtext_" border=0 width=_widthsmtext_ height=_heightsmtext_ alt="_texticonsmalltext_">}
_iconsmalltext_ [v=1] {<small><b>_texticonsmalltext2_</b></small>}

_iconarrowsmalltext_ {<img src="_httpiconasmtext_" border=0 width=_widthasmtext_ height=_heightasmtext_ alt="_texticonsmalltext_">}
_iconarrowsmalltext_ [v=1] {<small><b>->_texticonsmalltext2_</b></small>}

_iconclosedfolder_ {<img src="_httpiconclsdfldr_" border=0 width=_widthclsdfldr_ height=_heightclsdfldr_ alt="_texticonclosedfolder_">}
_iconclosedfolder_ [v=1] {<small><b>_texticonclosedfolder2_</b></small>}

_iconarrowclosedfolder_ {<img src=_httpiconaclsdfdr_" border=0 width=_widthaclsdfdr_ height=_heightaclsdfdr_ alt="_texticonclosedfolder_">}
_iconarrowclosedfolder_ [v=1] {<small><b>->_texticonclosedfolder2_</b></small>}

_iconopenfolder_ {<img src="_httpiconopenfldr_" border=0 width=_widthopenfldr_ height=_heightopenfldr_ alt="_texticonopenfolder_">}
_iconopenfolder_ [v=1] {<small><b>_texticonopenfolder2_</b></small>}

_iconarrowopenfolder_ {<img src="_httpiconaopenfdr_" border=0 width=_widthaopenfdr_ height=_heightaopenfdr_ alt="_texticonopenfolder_">}
_iconarrowopenfolder_ [v=1] {<small><b>->_texticonopenfolder2_</b></small>}

_iconarrowclosedbook_ {<img src="_httpiconabook_" width=_widthabook_ height=_heightabook_ border=0 alt="_texticonclosedbook_">}
_iconarrowclosedbook_ [v=1] {<small><b>->_texticonclosedbook_: </b></small>}

_iconopenbook_ {<img src="_httpiconopenbook_" width=_widthopenbook_ height=_heightopenbook_ border=0 alt="_texticonopenbook_">}
_iconopenbook_ [v=1] {<small><b>_texticonopenbook_: </b></small>}

_iconarrowopenbook_ {<img src="_httpiconaopenbk_" width=_widthaopenbk_ height=_heightaopenbk_ border=0 alt="_texticonopenbook_">}
_iconarrowopenbook_ [v=1] {<small><b>->_texticonopenbook_: </b></small>}

_iconopenbookshelf_ {<img src="_httpiconbshelf_" border=0 width=_widthbshelf_ height=_heightbshelf_ alt="_texticonopenbookshelf_">}
_iconopenbookshelf_ [v=1] {<small><b>_texticonopenbookshelf_: </b></small>}

_iconarrowopenbookshelf_ {<img src="_httpiconabshelf_" border=0 width=_widthabshelf_ height=_heightabshelf_ alt="_texticonopenbookshelf_">}
_iconarrowopenbookshelf_ [v=1] {<small><b>->_texticonopenbookshelf_: </b></small>}

_iconclosedbookshelf_ {<img src="_httpiconbshelf_" border=0 width=_widthbshelf_ height=_heightbshelf_ alt="_texticonclosedbookshelf_">}
_iconclosedbookshelf_ [v=1] {<small><b>_texticonclosedbookshelf_: </b></small>}

_iconarrowclosedbookshelf_ {<img src="_httpiconabshelf_" border=0 width=_widthabshelf_ height=_heightabshelf_ alt="_texticonclosedbookshelf_">}
_iconarrowclosedbookshelf_ [v=1] {<small><b>->_texticonclosedbookshelf_: </b></small>}

_iconpointer_ {<img src="_httpiconarrrght_" border=0 width=_widtharrrght_ height=_heightarrrght_>}
_iconpointer_ [v=1] {<small><b>_texticonpointer_-> </b></small>}

_icontab_ {<img src="_httpicontabspace_" width=_widthtabspace_ height=_heighttabspace_>}
_tab_ {<td>_icontab_</td>}

_iconcontracttoc_ {<img name="concon" src="_httpiconeconcof_" width=_widtheconcx_ height=_heighteconcx_ alt="_texticoncontracttoc_" border=0>}
_iconcontracttoc_[v=1] {_texticoncontracttoc_}

_iconexpandtoc_ {<img name="expcon" src="_httpiconeexpcof_" width=_widtheexpcx_ height=_heighteexpcx_ alt="_texticonexpandtoc_" border=0>}
_iconexpandtoc_[v=1] {_texticonexpandtoc_}

_iconcontracttext_ {<img name="thissec" src="_httpiconetsecof_" width=_widthetsecx_ height=_heightetsecx_ alt="_texticoncontracttext_" border=0>}
_iconcontracttext_[v=1] {_texticoncontracttext_}

_iconexpandtext_ {<img name="alltext" src="_httpiconealltof_" width=_widthealltx_ height=_heightealltx_ alt="_texticonexpandtext_" border=0>}
_iconexpandtext_[v=1] {_texticonexpandtext_}

_icondetach_ {<img name="detach" src="_httpiconedtchof_" width=_widthedtchx_ height=_heightedtchx_ alt="_texticondetach_" border=0>}
_icondetach_[v=1] {_texticondetach_}

_iconhighlight_ {<img name="hl" src="_httpiconehlof_" width=_widthehlx_ height=_heightehlx_ alt="_texticonhighlight_" border=0>}
_iconhighlight_ [v=1] {_texticonhighlight_}

_iconnohighlight_ {<img name="nhl" src="_httpiconenhlof_" width=_widthenhlx_ height=_heightenhlx_ alt="_texticonnohighlight_" border=0>}
_iconnohighlight_ [v=1] {_texticonnohighlight_}

_iconwarning_ {<img src="_httpiconwarning_" width=_widthwarning_ height=_heightwarning_ border=0 align=left>}
_iconwarning_ [v=1] {_texticonwarning_}

_iconcont_ {<img name="cont" src="_httpiconcontoff_" width=_widthcontx_ height=_heightcontx_ border=0>}
_iconcont_ [v=1] {_texticoncont_}


#######################################################################
# images
#######################################################################

_imagedetach_ {<a href="_httpcurrentdocument_&x=1" target=\_blank onMouseover = "img\_on('detach')"
onMouseout = "img\_off('detach')">_icondetach_</a>}
_imagedetach_[v=1] {<a href="_httpcurrentdocument_&x=1" target=\_blank>_texticondetach_</a><br>}

_imagehighlight_ {<a href="_httpcurrentdocument_&hl=1&gc=_cgiarggc_&amp;gt=_cgiarggt_" onMouseover = "img\_on('hl')"
onMouseout = "img\_off('hl')">_iconhighlight_</a>}
_imagehighlight_ [v=1] {<a href="_httpcurrentdocument_&hl=1&gc=_cgiarggc_&amp;gt=_cgiarggt_">_texticonhighlight_</a><br>}

_imagenohighlight_ {<a href="_httpcurrentdocument_&hl=0&gc=_cgiarggc_&amp;gt=_cgiarggt_" onMouseover = "img\_on('nhl')"
onMouseout = "img\_off('nhl')">_iconnohighlight_</a>}
_imagenohighlight_ [v=1] {<a href="_httpcurrentdocument_&hl=0&gc=_cgiarggc_&amp;gt=_cgiarggt_">_texticonnohighlight_</a><br>}

_imagecontracttoc_ {<a href="_httpcurrentdocument_&gc=0" onMouseover = "img\_on('concon')"
onMouseout = "img\_off('concon')">_iconcontracttoc_</a>}
_imagecontracttoc_[v=1] {"<a href="_httpcurrentdocument_&gc=0">_texticoncontracttoc_</a><br>}

_imageexpandtoc_ {<a href="_httpcurrentdocument_&gc=1" onMouseover = "img\_on('expcon')"
onMouseout = "img\_off('expcon')">_iconexpandtoc_</a>}
_imageexpandtoc_ [v=1] {"<a href="_httpcurrentdocument_&gc=1">_texticonexpandtoc_</a><br>}

_imagecontracttext_ {<a href="_httpcurrentdocument_&amp;gt=0" onMouseover = "img\_on('thissec')"
onMouseout = "img\_off('thissec')">_iconcontracttext_</a>}
_imagecontracttext_[v=1] {<a href="_httpcurrentdocument_&amp;gt=0">display only current section</a><br>}

_imageexpandtext_ {<a href="_httpcurrentdocument_&amp;gt=1" onMouseover = "img\_on('alltext')"
onMouseout = "img\_off('alltext')">_iconexpandtext_</a>}
_imageexpandtext_[v=1] {<a href="_httpcurrentdocument_&amp;gt=1">display all text</a><br>}

_imagecont_ {<a href="_httpcurrentdocument_&amp;gt=2" onMouseover = "img\_on('cont')"
onMouseout = "img\_off('cont')">_iconcont_</a>}
_imagecont_[v=1] {<a href="_httpcurrentdocument&amp;gt=2">_texticoncont_</a><br>}


#######################################################################
# headers/footers
#######################################################################


# header overridden for text pages
_textheader_ {_cgihead_
_htmlhead_
<center>
<table width=_pagewidth_><tr><td align=right>
_javalinks_</td></tr></table>
</center>
}
_textheader_ [v=1] {_cgihead_
_htmlhead_
_javalinks_
}

_footer_ {
<p>
_navarrows_
</table>
_endspacer__htmlfooter_
}
